package com.szpg.plc.message.command.write;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.WriteMemoryCommand;
import com.szpg.plc.message.response.WriteMemoryCommandResponse;

public class SetFjOnBitCommand extends WriteMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3412842531558580772L;

	public final static int FJ_ON_ENABLE = 1; //风机启动
	public final static int FJ_ON_DISABLE = 0;
	
	private int fjon;

	public int getFjon() {
		return fjon;
	}

	public void setFjon(int fjon) {
		this.fjon = fjon;
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_SETFJON;
	}

	@Override
	public Class<WriteMemoryCommandResponse> getResponseClass() {
		return WriteMemoryCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送设置风机启动位命令[" + fjon + "]";
	}
}
